<form *ngIf="users && newOfficial" #f="ngForm" novalidate>
  <div class="row mb-2">
    <div class="col-6 pr-1">
      <select class="custom-select" id="addOfficialUser" name="addOfficialUser" [(ngModel)]="newOfficial.user" #addOfficialUser="ngModel" [compareWith]="compareFn" required>
        <option value="">Mitglied auswählen</option>
        <option *ngFor="let user of users" [ngValue]="user.user">{{user.user.firstName}} {{user.user.lastName}}</option>
      </select>
      <app-show-form-errors [control]="addOfficialUser"></app-show-form-errors>
    </div>
    <div class="col-6 pl-1">
      <div class="input-group">
        <input class="form-control"
          type="text" name="addOfficialName"
          id="addOfficialName" placeholder="z.B. Vorstand"
          [(ngModel)]="newOfficial.name"
          #addOfficialName="ngModel"
          required
        >
        <div class="input-group-append">
          <button class="btn btn-success" type="button" (click)="addOfficial()" [disabled]="!f.valid">
            <i class="fas fa-plus"></i>
          </button>
        </div>
      </div>
      <app-show-form-errors [control]="addOfficialName"></app-show-form-errors>
    </div>
  </div>
</form>
<hr class="mx-2">
<ng-container *ngIf="officials">
  <form novalidate *ngFor="let official of (officials | arraysort: 'prio')">
    <div class="row mb-2">
      <div class="col-2">
        <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
          <button type="button"
                  class="btn btn-outline-primary"
                  (click)="incrementOfficial(official)"
                  [disabled]="official.prio == 0"
          >
            <i class="fas fa-chevron-up"></i>
          </button>
          <button type="button"
                  class="btn btn-outline-primary"
                  (click)="decrementOfficial(official)"
                  [disabled]="official.prio == officials.length-1"
          >
            <i class="fas fa-chevron-down"></i>
          </button>
        </div>
      </div>
      <div class="col-5 pr-1 pl-1">
        <select class="custom-select custom-select-sm" name="editOfficialUser{{official.id}}" #editOfficialUser="ngModel" id="officialUser{{official.id}}" [(ngModel)]="official.user" [compareWith]="compareFn">
          <option *ngFor="let user of users" [ngValue]="user.user">{{user.user.firstName}} {{user.user.lastName}}</option>
        </select>
        <app-show-form-errors [control]="editOfficialUser"></app-show-form-errors>
      </div>
      <div class="col-5 pr-1">
        <div class="input-group input-group-sm">
          <input class="form-control form-control-sm"
                 type="text" name="officialName{{official.id}}"
                 id="editOfficialName{{official.id}}" placeholder="z.B. Vorstand"
                 [(ngModel)]="official.name"
                 #editOfficial="ngModel"
                 required
          >
          <div class="input-group-append">
            <button class="btn btn-success" (click)="updateOfficial(official)"><i class="fas fa-save"></i> </button>
            <button class="btn btn-outline-danger" (click)="removeOfficial(official)"><i class="fas fa-trash"></i> </button>
          </div>
        </div>
        <app-show-form-errors [control]="editOfficial"></app-show-form-errors>
      </div>
    </div>
  </form>
</ng-container>
